VectorLinux
September 30, 2014, 03:25:58 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Epson XP 202  (Read 2408 times)
Lyn
Vectorian
****
Posts: 650



« on: March 19, 2013, 02:51:55 am »

Fun and games getting this set up, the linux printers database says it works perfectly.   My cups can't detect it, I downloaded the driver as recommended and converted it with rpm2tgz and installed the package as root.  Cups can't find it as a printer and the driver doesn't show up in the list. 

Any ideas of where I go from here?
Logged
Lyn
Vectorian
****
Posts: 650



« Reply #1 on: March 20, 2013, 06:47:00 am »

OK - downgraded to cups 1.4.6 - now the system sees the printer.  Downloaded the driver and converted it using rpm2tgz and installed the package, which creates a file hierarchy under opt.  Under Mint I downloaded the driver from the epson site and installed it and cups could then see it, in Velocity it doesn't add the printer to the list in cups.... I am guessing I need to create some sym links from the files under opt to the ones for cups, question is where which ones and how?
Logged
Pita
Vectorian
****
Posts: 1310


« Reply #2 on: March 20, 2013, 05:00:05 pm »

There seems to be something inherently wrong with slackware and its offsprings
in using some Epson printers with the newer cups versions. In my case
Epson LQ-300 does not function properly anymore. It hangs after printing
one page and does not advance to the next one. Had to downgrade to
cups-1.4.6. I tried 3 different slackies.

In debian based boxes no such problem.

Reported it in cups and slackware forums and never go ta reply. Sad
« Last Edit: March 20, 2013, 05:01:43 pm by Pita » Logged
Lyn
Vectorian
****
Posts: 650



« Reply #3 on: March 21, 2013, 04:19:42 am »

Bugger.... well no problem with Mint - which is a shame - will have to switch to using that for printing - which is mad.  There must be a way of adding the drivers to cups...
Logged
bigpaws
Vectorian
****
Posts: 1850


« Reply #4 on: March 21, 2013, 05:32:57 am »

Slackware 14.0 cups version needed to be upgraded.

Bigpaws
Logged
sledgehammer
Vectorian
****
Posts: 1424



« Reply #5 on: March 21, 2013, 06:41:42 am »

Lyn,

I had same problem with my old HP laserjet printer (cups wouldn't see it when I switched from 5.9 to 6 or 6 to 7 (can't recall).  I solved problem by printing wireless to the big xerox in the office.  Haven't used the HP in years.
Logged

VL7.0 xfce4 Samsung RF511
nightflier
Administrator
Vectorian
*****
Posts: 4024



« Reply #6 on: March 21, 2013, 07:41:01 am »

Epson does publish linux drivers for this device. Go to: http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX and enter "xp-202" in the search field. There is no Slackware package, you may have to use the generic one and compile the driver.
Logged
Lyn
Vectorian
****
Posts: 650



« Reply #7 on: March 22, 2013, 12:58:32 am »

That I have done, taken the rpm package and converted it to tgz and installed the package.  However the details are not added under cups (which it is using a debian based distro).  I can see the files added under opt but no linkage with the list for cups.   As I said all works well under mint. 
Logged
nightflier
Administrator
Vectorian
*****
Posts: 4024



« Reply #8 on: March 22, 2013, 02:46:09 am »

In that driver package I see the file "Epson-XP-202_203_206_Series-epson-escpr-en.ppd". Does that not get copied to your system so you can point CUPS to it?
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!